<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

class blogController extends frameworkClass {
	
	public function __construct() {
		$this->helper("application");
		$this->blogModel = $this->model("blogModel"); 
    }
	
	public function index() {
		$result = $this->blogModel->getSections();
		
		if (isset($result['status']) && ($result['status'] === 'dataNotFound')) {
			$this->setFlash('messageDanger', 'Invalid SQL Query! Check the query and data in the database.');
			$this->view("blog");
		}
		else {
			$data = [
				'data' => $result
			];
			
			$this->view("blog", $data);
		}
	}
	
	public function sectionMethod($id) {
		$result = $this->blogModel->getSectionPosts($id);
		
		if (isset($result['status']) && ($result['status'] === 'dataNotFound')) {
			$this->setFlash('messageDanger', 'Invalid SQL Query()! Check the query and data in the database.');
			$this->view("blog-section");
		}
		else {
			$sectionName = $result[0]->section_name;
			$sectionDescription = $result[0]->section_description;
			$sectionKeywords = $result[0]->section_keywords;
			
			$data = [
				'data' => $result,
				'section_name' => $sectionName,
				'section_description' => $sectionDescription,
				'section_keywords' => $sectionKeywords
			];
			
			$this->view("blog-section", $data);
		}
    }
	
	public function postMethod($id) {
		$result = $this->blogModel->getPost($id);
		
		if (isset($result['status']) && ($result['status'] === 'dataNotFound')) {
			$this->setFlash('messageDanger', 'Invalid SQL Query()! Check the query and data in the database.');
			$this->view("blog-post");
		}
		else {
			$this->view("blog-post", $result);
		}
    }
	
	public function commentMethod() {
		// Comments
    }
	
}
?>
