<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

class loginController extends frameworkClass {
	
	public function __construct() {
		if ($this->getSession('userId')) {
			$this->redirect("user.html");
		}
		
		$this->helper("application");
		$this->accountModel = $this->model('accountModel');
    }
	
	public function index() {
		$this->view("login");
	}
	
	public function signinMethod() {
		$userData = [
			'email'         => $this->input('email'),
			'password'      => $this->input('password'),
			'emailError'    => '',
			'passwordError' => ''
		];
		
        if (empty($userData['email'])) {
			$userData['emailError'] = "E-mail is required!";
		}
		
		if (empty($userData['password'])) {
			$userData['passwordError'] = "Password is required!";
		}
		
		if (empty($userData['emailError']) && empty($userData['passwordError'])) {
			$result = $this->accountModel->userLogin($userData['email'], $userData['password']);
			
			if ($result['status'] === 'emailNotFound') {
				$userData['emailError'] = "Sorry invalid e-mail!";
				$this->view("login", $userData);
			}
			else if ($result['status'] === 'passwordNotMacthed') {
				$userData['passwordError'] = "Sorry invalid password!";
				$this->view("login", $userData);
			}
			else if ($result['status'] === "ok") {
				$this->setSession("userId", $result['data']);
				$this->redirect("user.html");
            }
		}
		else {
			$this->view("login", $userData);
		}
	}
	
	public function logoutMethod() {
		$this->destroy();
		$this->redirect("index.html");
    }

}
?>
