<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

class registerController extends frameworkClass {
	
	public function __construct() {
		if ($this->getSession('userId')) {
			$this->redirect("user.html");
		}
		
		$this->helper("application");
		$this->accountModel = $this->model('accountModel');
    }
	
	public function index() {
		$this->view("register");
	}
	
	public function signupMethod() {
		$userData = [
			'login'           => $this->input('login'),
			'email'           => $this->input('email'),
			'password'        => $this->input('password'),
			'loginError'      => '',
			'emailError'      => '',
			'passwordError'   => ''
        ];

        if (empty($userData['login'])) {
            $userData['loginError'] = 'Login is required!';
        }
		else {
            if (!$this->accountModel->checkLogin($userData['login'])) {
				$userData['loginError'] = "Sorry this login is already exist!";
            }
        }

        if (empty($userData['email'])) {
            $userData['emailError'] = 'E-mail is required!';
        }
		else {
            if (!$this->accountModel->checkEmail($userData['email'])) {
				$userData['emailError'] = "Sorry this e-mail is already exist!";
            }
        }

        if (empty($userData['password'])) {
            $userData['passwordError'] = "Password is required!";
        } 
		else if (strlen($userData['password']) < 5 ) {
            $userData['passwordError'] = "Passowrd must be 5 characters long!";
        }

        if (empty($userData['loginError']) && empty($userData['emailError']) && empty($userData['passwordError'])) {    
            $password = password_hash($userData['password'], PASSWORD_DEFAULT);
            $data = [$userData['login'], $userData['email'], $password];
			
            if ($this->accountModel->createAccount($data)) {          
                $this->setFlash("accountCreated", "Your account has been created successfully");
                $this->redirect("login.html");
            }
        }
		else {
            $this->view('register', $userData);
        }
    }
	
}
?>
