<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

class blogModel extends databaseClass {
	
	public function getSections() {
		$query = "SELECT * FROM dbm_post_section";
		
		if ($this->Query($query)) {
			if ($this->rowCount() > 0 ) {
				$data = $this->fetchAll();
				return $data;
			}
			else {
				return ['status' => 'dataNotFound'];
			}
		}
	}
	
	public function getSectionPosts($id) {
		$query = "SELECT bp.id_post, bp.page_header, bp.page_content, bp.image_thumb, bp.date_published, bs.section_name, bs.section_description, bs.section_keywords, u.id_user, u.fullname FROM dbm_post bp"
			." INNER JOIN dbm_post_section bs ON bs.id_section = bp.section_id"
			." INNER JOIN dbm_user u ON u.id_user = bp.user_id"
			." WHERE bp.section_id = ? ORDER BY bp.date_published DESC";
			
		if ($this->Query($query, [$id])) {
			if ($this->rowCount() > 0 ) {
				$data = $this->fetchAll();
				return $data;
			}
			else {
				return ['status' => 'dataNotFound'];
			}
		}
	}
	
	public function getPost($id) {
		$query = "SELECT bp.id_post, bp.meta_title, bp.meta_description, bp.meta_keywords, bp.page_header, bp.page_content, bp.image_thumb, bp.date_published, bs.id_section, bs.section_name FROM dbm_post bp"
			." INNER JOIN dbm_post_section bs ON bs.id_section = bp.section_id"
			." WHERE bp.id_post = ?";

		if ($this->Query($query, [$id])) {
			if ($this->rowCount() > 0 ) {
				$data = $this->fetch();
				return ['status' => 'ok', 'data' => $data];
			}
			else {
				return ['status' => 'dataNotFound'];
			}
		}
	}
	
}
?>
