<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

class userModel extends databaseClass {
	
	public function getUserAccount($id) {
		$query = "SELECT * FROM dbm_user WHERE id_user = ?";
		
		if ($this->Query($query, [$id])) {
			if ($this->rowCount() > 0 ) {
				$data = $this->fetch();
				return ['status' => 'ok', 'data' => $data];
			}
			else {
				return ['status' => 'userNotFound'];
			}
		}
	}
	
	public function getPostData($id) {
		$query = "SELECT * FROM dbm_post WHERE user_id = ?";
		
		if ($this->Query($query, [$id])) {
			 $data = $this->fetchAll();
			 return $data;
		}
    }
	
	public function editPostData($id, $user_id) {
		$query = "SELECT * FROM dbm_post WHERE id_post = ? && user_id = ?";
		
		if ($this->Query($query, [$id, $user_id])) {
			$row = $this->fetch();
			return $row;
		}
	}
	
	public function insertPostData($data) {
		$query = "INSERT INTO dbm_post(user_id, section_id, page_header, page_content) VALUES (?,?,?,?)";
		
		if($this->Query($query, $data)) {
			return true;
		}
    }
	
	public function updatePostData($update) {
		$query = "UPDATE dbm_post SET page_header = ? , page_content = ? WHERE id_post = ? AND user_id = ?";
		
		if ($this->Query($query, $update)) {
			return true;
		}
    }
	
	public function deletePostData($id, $user_id) {
		$query = "DELETE FROM dbm_post WHERE id_post = ? && user_id = ?";
		
		if ($this->Query($query, [$id, $user_id])) {
			return true;
		}
	}
	
	public function insertImage($data) {
		$query = "INSERT INTO dbm_photo(user_id, photo_name) VALUES (?,?)";
		
		if($this->Query($query, $data)) {
			return true;
		}
    }
	
	public function getImages($id) {
		$query = "SELECT * FROM dbm_photo WHERE user_id = ?";
		
		if ($this->Query($query, [$id])) {
			 $data = $this->fetchAll();
			 return $data;
		}
    }
	
}
?>
