<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="author" content="Design by Malina">
	<meta name="robots" content="all">
	<meta name="keywords" content="dbm framework, php mvc, simple cms">
	<meta name="description" content="Framework Simple CMS.">
	<title>DbM Framework - Add article</title>
	<?php include('components/head.php'); ?>
</head>
<body>
	<?php include('components/header.php'); ?>
	<!-- Main Content -->
	<div class="container mt-5">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb justify-content-end">
				<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'user.html' ?>">User Account</a></li>
				<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'user/articleManage' ?>">Manage articles</a></li>
				<li class="breadcrumb-item active">Add article</li>
			</ol>
		</nav>
		<div class="row">
			<div class="col-md-12">
				<h1 class="pb-3 mb-4 font-italic border-bottom">Add article</h1>
				<?php include('components/messages.php'); ?>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 mt-4">
				<form action="<?php echo ROOTPATH.'user/articleInsert' ?>" method="POST">
					<div class="form-group">
						<label for="fheader" class="font-weight-bold">Page header</label>
						<input type="text" name="dbm_header" id="fheader" class="form-control" placeholder="Header..." value="<?php if (isset($data['header'])) : echo $data['header']; endif; ?>">
						<div class="error"><?php if (isset($data['errorHeader'])) : echo $data['errorHeader']; endif; ?></div>
					</div>
					<div class="form-group">
						<label for="fcontent" class="font-weight-bold">Page content</label>
						<textarea name="dbm_content" id="fcontent" class="form-control" rows="15" placeholder="Content..."><?php if (isset($data['content'])) : echo $data['content']; endif; ?></textarea>
						<div class="error"><?php if (isset($data['errorContent'])) : echo $data['errorContent']; endif; ?></div>
					</div>
					<div class="form-group">
						<label for="fsection" class="font-weight-bold">Section</label>
						<select name="dbm_section" id="fsection" class="form-control">
							<option value="">Select category</option>
							<option value="1">Web Design</option>
							<option value="2">3D Graphics</option>
							<option value="3">Internet Marketing</option>
						</select>
						<div class="error"><?php if (isset($data['errorSection'])) : echo $data['errorSection']; endif; ?></div>
					</div>
					<div class="form-group">
						<input type="submit" value="Insert Article" class="btn btn-primary">
					</div>
				</form>
				<ul>
					<li>1. You can use HTML code in content textarea (e.g. &lt;p&gt;, &lt;ul&gt; etc. and &lt;img src=&quot;[[URL]]images/name.jpg&quot; class=&quot;img-fluid&quot; alt=&quot;keyword&quot;&gt;).</li>
					<li>2. [[URL]] - You can use this code to add a direct url to the content (e.g. for an image address).</li>
				</ul>
			</div>
		</div>
	</div>
	<?php include('components/footer.php'); ?>
</body>
</html>
