<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="author" content="Design by Malina">
	<meta name="robots" content="all">
	<meta name="keywords" content="dbm framework, php mvc, simple cms">
	<meta name="description" content="Framework Simple CMS.">
	<title>DbM Framework - Edit article</title>
	<?php include('components/head.php'); ?>
</head>
<body>
	<?php include('components/header.php'); ?>
	<!-- Main Content -->
	<div class="container mt-5">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb justify-content-end">
				<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'user.html' ?>">User Account</a></li>
				<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'user/articleManage' ?>">Manage articles</a></li>
				<li class="breadcrumb-item active">Edit article</li>
			</ol>
		</nav>
		<div class="row">
			<div class="col-md-12">
				<h1 class="pb-3 mb-4 font-italic border-bottom">Edit article</h1>
				<?php include('components/messages.php'); ?>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 mt-4">
				<form action="<?php echo ROOTPATH.'user/articleUpdate' ?>" method="POST">
					<div class="form-group">
						<label for="fheader" class="font-weight-bold">Page header</label>
						<input type="text" name="dbm_header" id="fheader" class="form-control" placeholder="Header..." value="<?php echo $data['data']->page_header; ?>">
						<div class="error"><?php if($data['errorHeader']): echo $data['errorHeader']; endif; ?></div>
					</div>
					<div class="form-group">
						<label for="fcontent" class="font-weight-bold">Page content</label>
						<textarea name="dbm_content" id="fcontent" class="form-control" rows="15"><?php echo $data['data']->page_content; ?></textarea>
						<div class="error"><?php if($data['errorContent']): echo $data['errorContent']; endif; ?></div>
					</div>
					<!--<div class="form-group">
						<label for="fsection">Section</label>
						<select name="dbm_section" id="fsection" class="form-control">
							<option value="1">Web Design</option>
							<option value="2">3D Graphics</option>
							<option value="3">Internet Marketing</option>
						</select>
						<div class="error"></div>
					</div>-->
					<div class="form-group">
						<button type="button" class="btn btn-primary mr-3" onClick="window.open('<?php echo ROOTPATH.'blog/post/'.$data['data']->id_post; ?>')">Preview</button>
						<button type="button" class="btn btn-primary mr-3" data-toggle="modal" data-target="#imagesModal">Images</button>
						<input type="submit" value="Update Article" class="btn btn-primary">
						<input type="hidden" name="dbm_idpost" value="<?php echo $data['data']->id_post; ?>">
					</div>
				</form>
				<ul>
					<li>1. You can use HTML code in content textarea (e.g. &lt;p&gt;, &lt;ul&gt; etc. and &lt;img src=&quot;[[URL]]images/name.jpg&quot; class=&quot;img-fluid&quot; alt=&quot;keyword&quot;&gt;).</li>
					<li>2. [[URL]] - You can use this code to add a direct url to the content (e.g. for an image address).</li>
				</ul>
				<form action="<?php echo ROOTPATH.'user/imageUpload/'.$data['data']->id_post; ?>" method="post" enctype="multipart/form-data" class="w-50 mb-5">
					<?php $this->flash('alert-danger', 'alert alert-danger'); ?>
					<?php $this->flash('alert-success', 'alert alert-success'); ?>
					<div class="form-group">
						<div class="input-group">
							<div class="custom-file small-custom-file">
								<input type="file" name="fileUpload" class="custom-file-input" id="ffile">
								<label class="custom-file-label small-custom-file-label" for="ffile">Choose file</label>
							</div>
						</div>
					</div>
					<div class="form-group">
						<button type="submit" name="submit" class="btn btn-primary btn-sm btn-block" id="btnProgress">Upload image</button>
					</div>
					<div class="progress" id="boxProgress" style="height:20px;display:none;">
						<div class="progress-bar progress-bar-striped progress-bar-animated bg-info" style="width:100%;" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100">Please wait. Image is loading...</div>
					</div>
				</form>
				<?php /*echo '<pre>'; print_r($data); echo '</pre>'; */?>
			</div>
		</div>
	</div>
	<?php include('components/footer.php'); ?>
	<?php include('components/modal_images.php'); ?>
	<!-- Javascript Added -->
	<script>
		$(document).ready(function(){			
			$("#btnProgress").click(function(){
				$("#boxProgress").show();
			});
			
			$('.setImage').click(function(){
				$("#fcontent").append($(this).attr("data-text"));
				$('#imagesModal').modal('hide');
			});
		});
	</script>
</body>
</html>
