<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="author" content="Design by Malina">
	<meta name="robots" content="all">
	<meta name="keywords" content="dbm framework, php mvc, simple cms">
	<meta name="description" content="Framework Simple CMS.">
	<title>DbM Framework - Manage articles</title>
	<?php include('components/head.php'); ?>
	<!-- CSS Style Added -->
	<link rel="stylesheet" href="<?php echo ROOTPATH.'assets/css/dataTables.bootstrap4.min.css'; ?>">
</head>
<body>
	<?php include('components/header.php'); ?>
	<!-- Main Content -->
	<div class="container mt-5">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb justify-content-end">
				<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'user.html' ?>">User Account</a></li>
				<li class="breadcrumb-item active">Manage articles</li>
			</ol>
		</nav>
		<div class="row">
			<div class="col-md-12">
				<h1 class="pb-3 mb-4 font-italic border-bottom">Manage articles</h1>
				<?php include('components/messages.php'); ?>
				<div class="text-right"><a href="<?php echo ROOTPATH.'user/articleAdd'; ?>" class="btn btn-primary">Add Article</a></div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 mt-4">
				<?php include "components/datatable.php"; ?>
			</div>
		</div>
	</div>
	<?php include('components/footer.php'); ?>
	<!-- Javascript Added -->
	<script src="<?php echo ROOTPATH.'assets/js/jquery.dataTables.min.js'; ?>"></script>
	<script src="<?php echo ROOTPATH.'assets/js/dataTables.bootstrap4.min.js'; ?>"></script>
	<script>
		$(document).ready(function() {
			$('#manageTableOne').DataTable();
			
			$('.itemDelete').click(function() {
				if (!confirm("Are you sure you want to delete the record from the database?")) { return false; }
			});
		});
	</script>
</body>
</html>
