<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="author" content="Design by Malina">
	<meta name="robots" content="all">
	<meta name="keywords" content="<?php if (!empty($data['section_keywords'])) : echo $data['section_keywords']; endif; ?>">
	<meta name="description" content="<?php if (!empty($data['section_description'])) : echo $data['section_description']; endif; ?>">
	<title><?php if (!empty($data['section_name'])) : echo 'Blog - ' . $data['section_name']; endif; ?></title>
	<?php include('components/head.php'); ?>
</head>
<body>
	<?php include('components/header.php'); ?>
	<!-- Main Content -->
	<div class="container mt-5">
		<div class="row">
			<div class="col-md-9">
				<!-- Blog Left -->
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb justify-content-end">
						<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'index.html'; ?>">Home</a></li>
						<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'blog.html'; ?>">Blog</a></li>
						<li class="breadcrumb-item active"><?php if (!empty($data['section_name'])) : echo $data['section_name']; endif; ?></li>
					</ol>
				</nav>
				<?php include('components/messages.php'); ?>
				<h1 class="pb-3 mb-4 font-italic border-bottom"><?php if (!empty($data['section_name'])) : echo $data['section_name']; endif; ?></h1>
				<?php if (!empty($data)): $i=1; foreach ($data['data'] as $object): ?>
				<div class="row mb-3">
					<div class="col-md-4">
						<a href="<?php echo ROOTPATH . seoUrl($object->page_header, 'art', $object->id_post); ?>"><img src="<?php echo $object->image_thumb ? ROOTPATH.'images/post-'.$object->image_thumb : ROOTPATH.'images/no-image.jpg'; ?>" alt="..." class="img-fluid img-thumbnail"></a>
					</div>
					<div class="col-md-8">
						<h2 class="h3 mt-0"><a href="<?php echo ROOTPATH . seoUrl($object->page_header, 'art', $object->id_post); ?>"><?php echo cutString($object->page_header, 50); ?></a></h2>
						<div class="d-flex flex-wrap justify-content-between text-xs">
							<p>By <a href="<?php echo ROOTPATH.'user/profile/'.$object->id_user; ?>"><?php echo $object->fullname; ?></a> in <?php echo $object->section_name; ?></p>
							<p><?php echo $object->date_published . ', ' . $i++ . ' Comments'; ?></p>
						</div>
						<p><?php echo cutString($object->page_content, 330); ?></p>
						<p class="text-right"><a href="<?php echo ROOTPATH.'blog/post/'.$object->id_post; ?>" class="btn btn-sm">Read more</a></p>
					</div>
				</div>
				<?php endforeach; endif; ?>
				<ul class="list-unstyled pager d-flex align-items-center justify-content-between mt-3">
					<li class="previous"><a href="#" class="btn btn-sm">&larr; Older</a></li>
					<li class="next disabled"><a href="#" class="btn btn-sm">Newer &rarr;</a></li>
				</ul>
			</div>
			<div class="col-md-3">
				<?php include('components/blog_right.php'); ?>
			</div>
		</div>
	</div>
	<?php include('components/footer.php'); ?>
</body>
</html>
