<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="author" content="Design by Malina">
	<meta name="robots" content="all">
	<meta name="keywords" content="blog sections, blog, section">
	<meta name="description" content="Blog sections, web design, graphics, marketing.">
	<title>Blog - Sections</title>
	<?php include('components/head.php'); ?>
</head>
<body>
	<?php include('components/header.php'); ?>
	<!-- Main Content -->
	<div class="container mt-5" role="main">
		<div class="row">
			<div class="col-md-9">
				<!-- Blog Left -->
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb justify-content-end">
						<li class="breadcrumb-item"><a href="<?php echo ROOTPATH.'index.html'; ?>">Home</a></li>
						<li class="breadcrumb-item active">Blog</li>
					</ol>
				</nav>
				<?php include('components/messages.php'); ?>
				<div class="row">
					<?php if (!empty($data)): foreach($data['data'] as $object): ?>
					<section class="col-lg-4 col-md-6 mb-4">
						<div class="card h-100">
							<a href="<?php echo ROOTPATH . seoUrl($object->section_name, 'sec', $object->id_section); ?>"><img src="<?php echo ROOTPATH.'images/section-'.$object->image_thumb; ?>" class="img-fluid" alt="<?php echo $object->section_name; ?>"></a>
							<div class="card-body">
								<h4 class="card-title"><a href="<?php echo ROOTPATH . seoUrl($object->section_name, 'sec', $object->id_section); ?>"><?php echo ucwords($object->section_name); ?></a></h4>
								<p class="card-text"><?php echo cutString($object->section_description, 160); ?></p>
							</div>
						</div>
					</section>
					<?php endforeach; endif; ?>
				</div>
			</div>
			<div class="col-md-3">
				<?php include('components/blog_right.php'); ?>
			</div>
		</div>
	</div>	
	<?php include('components/footer.php'); ?>
</body>
</html>
