<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="author" content="Design by Malina">
	<meta name="robots" content="all">
	<meta name="keywords" content="dbm framework, php mvc, simple cms">
	<meta name="description" content="Framework Simple CMS.">
	<title>DbM Framework - User Account</title>
	<?php include('components/head.php'); ?>
</head>
<body>
	<?php include('components/header.php'); ?>
	<!-- Main Content -->
	<div class="container mt-5">
		<nav aria-label="breadcrumb">
			<ol class="breadcrumb justify-content-end">
				<li class="breadcrumb-item active">User Account</li>
			</ol>
		</nav>
		<div class="row">
			<div class="col-md-12">
				<h1 class="pb-3 mb-4 font-italic border-bottom">User Account</h1>
				<?php include('components/messages.php'); ?>
			</div>
		</div>	
		<div class="row gutters-sm">
			<div class="col-md-4 mb-3">
				<div class="card">
					<div class="card-body">
						<div class="d-flex flex-column align-items-center text-center">
							<img src="<?php echo ROOTPATH.'images/avatar/'.$data['data']->avatar; ?>" alt="<?php echo $data['data']->login; ?>" class="rounded-circle" width="150">
							<div class="mt-3">
								<h4><?php echo $data['data']->fullname; ?></h4>
								<p class="text-secondary mb-1">Full Stack Developer</p>
								<p class="text-muted font-size-sm">Raspberry Land, PL</p>
								<button class="btn btn-primary">Follow</button>
								<button class="btn btn-outline-primary">Message</button>
							</div>
						</div>
					</div>
				</div>
				<div class="card mt-3">
					<div class="list-group list-group-flush">
						<span class="list-group-item list-group-item-primary text-uppercase font-weight-bold">User Account</span>
						<a href="<?php echo ROOTPATH.'user/profile'; ?>" class="list-group-item list-group-item-action list-group-item-secondary">Profile</a>
						<a href="<?php echo ROOTPATH.'user/articleManage'; ?>" class="list-group-item list-group-item-action list-group-item-success">Blog article manage</a>
					</div>
				</div>
			</div>
			<div class="col-md-8">
				<div class="card mb-3">
					<div class="card-body">
						<div class="row">
							<div class="col-sm-3">
								<h6 class="mb-0">Full Name</h6>
							</div>
							<div class="col-sm-9 text-secondary">Arthur Malinowsky</div>
						</div>
						<hr>
						<div class="row">
							<div class="col-sm-3">
								<h6 class="mb-0">Email</h6>
							</div>
							<div class="col-sm-9 text-secondary">archie@mail.com</div>
						</div>
						<hr>
						<div class="row">
							<div class="col-sm-3">
								<h6 class="mb-0">Mobile</h6>
							</div>
							<div class="col-sm-9 text-secondary">(111) 111 000 111</div>
						</div>
						<hr>
						<div class="row">
							<div class="col-sm-3">
								<h6 class="mb-0">Address</h6>
							</div>
							<div class="col-sm-9 text-secondary">Raspberry Land, PL</div>
						</div>
					</div>
				</div>
				<div class="row gutters-sm">
					<div class="col-sm-6 mb-3">
						<div class="card h-100">
							<div class="card-body">
								<ul class="list-group list-group-flush">
									<li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
										<h6 class="mb-0">Website</h6>
										<span class="text-secondary">www.dbm.org.pl</span>
									</li>
									<li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
										<h6 class="mb-0">Github</h6>
										<span class="text-secondary">artimman</span>
									</li>
									<li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
										<h6 class="mb-0">Twitter</h6>
										<span class="text-secondary">artimman</span>
									</li>
									<li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
										<h6 class="mb-0">Instagram</h6>
										<span class="text-secondary">artimman</span>
									</li>
									<li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
										<h6 class="mb-0">Facebook</h6>
										<span class="text-secondary">artimman</span>
									</li>
								</ul>
							</div>
						</div>
					</div>
					<div class="col-sm-6 mb-3">
						<div class="card h-100">
							<div class="card-body">
								<h6 class="d-flex align-items-center mb-3"><i class="material-icons text-info mr-2">assignment</i>Project Status</h6>
								<small>Web Design</small>
								<div class="progress mb-3" style="height: 5px">
									<div class="progress-bar bg-primary" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
								<small>Website Markup</small>
								<div class="progress mb-3" style="height: 5px">
									<div class="progress-bar bg-primary" role="progressbar" style="width: 72%" aria-valuenow="72" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
								<small>One Page</small>
								<div class="progress mb-3" style="height: 5px">
									<div class="progress-bar bg-primary" role="progressbar" style="width: 89%" aria-valuenow="89" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
								<small>Mobile Template</small>
								<div class="progress mb-3" style="height: 5px">
									<div class="progress-bar bg-primary" role="progressbar" style="width: 55%" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
								<small>Backend API</small>
								<div class="progress mb-3" style="height: 5px">
									<div class="progress-bar bg-primary" role="progressbar" style="width: 66%" aria-valuenow="66" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php include('components/footer.php'); ?>
</body>
</html>
