<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */
 
/** INFO
 * 1. SEO Friendly (URL) index => index.html etc. (see .htaccess)
 * 2. Stanard link: page/web-design rewrite to SEO friendly link (see .htaccess)
 *    The first word 'web' is the key to the method in the pageController, the next words are SEO friendly links (you can enter any string followed by a minus sign).
 *    The page content is in the contents/page-web-design.txt file, where word 'page' is the controller key, 'web' is the method key.
 */

/* Configuration Array Menu Pages */
$arrayMenuPages = array (
	'index' => array (
		'link' => 'index.html', // *1 Read INFO!
		'anchor' => 'Home',
		'children' => array()
	),
	'page' => array (
		'link' => '#page',
		'anchor' => 'Pages (file TXT)',
		'children' => array (
			'web' => array (
				'link' => 'web-design,web.html', // *2 Read INFO!
				'anchor' => 'Page / Web Design'
			),
			'graphics' => array (
				'link' => 'graphics-3d,web.html',
				'anchor' => 'Page / 3D Graphics'
			),
			'marketing' => array (
				'link' => 'page/marketing-in-internet',
				'anchor' => 'Link is not SEO / Marketing'
			),
			'about' => array (
				'link' => 'about.html',
				'anchor' => 'About Us'
			),
			'contact' => array (
				'link' => 'contact.html',
				'anchor' => 'Contact'
			)
		)
	),
	'blog' => array (
		'link' => 'blog.html#blog',
		'anchor' => 'Blog (database MySQL)',
		'children' => array (
			'blog' => array (
				'link' => 'blog.html',
				'anchor' => 'Blog / All Sections (cut from menu)'
			),
			'section-1' => array (
				'link' => 'web-design,sec,1.html',
				'anchor' => 'Sec / Web Design'
			),
			'section-2' => array (
				'link' => '3d-graphics,sec,2.html',
				'anchor' => 'Sec / 3D Graphics'
			),
			'section-3' => array (
				'link' => 'blog/section/3',
				'anchor' => 'Link is not SEO / Internet Marketing'
			),
			'post-1' => array (
				'link' => 'lorem-ipsum-dolor-sit-amet-consectetur-adipiscing-elit,art,1.html',
				'anchor' => 'Article header one'
			),
			'post-2' => array (
				'link' => 'blog/post/2',
				'anchor' => 'Link is not SEO / Article header two'
			)
		)
	),
	'user' => array (
		'link' => '#account',
		'anchor' => 'Account',
		'children' => array (
			'user' => array (
				'link' => 'user.html',
				'anchor' => 'User Account (cut from menu)'
			),
			'panel' => array (
				'link' => 'panel.html',
				'anchor' => 'Admin Control Panel (cut from menu)'
			)
		)
	)
);
?>
