<!DOCTYPE html>
<html lang="en">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="author" content="Design by Malina, www.dbm.org.pl">
    <title>DbM Framework - PHP MVC Simple CMS</title>
    <style>
        a {
            color: #2196f3;
			text-decoration: none;
        }
		a:hover {
			color: #0a6ebd;
			text-decoration: underline;
		}
        .error-page {
            background-image: url("<?php echo ROOTPATH.'assets/img/back.png'; ?>");
            background-repeat: repeat;
            position: fixed;
            height: 100%;
            width: 100%;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
        }
        .error-absolute-center {
            height: 700px;
        }
        @media (min-width: 500px) {
            .error-absolute-center {
                width: 500px;
                height: 500px;
                position: absolute;
                top: 0;
                left: 0;
                /*bottom: 0;*/
                right: 0;
                margin: auto;
            }
        }
        .error-heading {
            font-size: 1.3em;
            font-weight: 600;
            font-family: "Muli", "Lato", sans-serif;
            color: #000;
            padding-top: 120px;
            margin-bottom: 20px;
            text-align: center;
        }
        .error-heading span {
			font-size: 1.6em;
            color: #2196f3;
        }
        .error-content {
            box-shadow: 0 0 4px rgba(0, 0, 0, 0.2), inset 0 0 2px #fff;
            border: solid 1px #c3c3c3;
            background-color: rgba(255, 255, 255, 0.7);
            padding: 20px;
            color: #7e8488;
        }
        .error-content h1 {
            font-size: 2.5em;
            color: #ff0000;
        }
        .error-content h2, .error-content h3 {
            color: #7e8488;
        }
        .error-content p {
            font-size: 1.2em;
            font-family: "Lato", sans-serif;
            font-weight: 300;
            margin-bottom: 25px;
        }
        .error-content .btn-ar {
            border: solid 1px #00638e;
            background-image: linear-gradient(to bottom, #0099da, #0080b6);
            font-size: 14px;
            padding-left: 30px;
            padding-right: 30px;
            border-radius: 0;
        }
        .error-text-center {
            text-align: center;
        }
    </style>
</head>
<body>
    <div class="error-page">
        <div class="error-absolute-center">
            <div class="error-text-center">
				<div class="error-heading"><span>DbM Framework</span> &nbsp; PHP MVC Simple CMS</div>
                <div class="error-content">
                    <h1>Error 404</h1>
                    <h2>File not found! The page is not available or the content address has been changed and the page has been moved.</h2>
                    <p>Please contact the administrator and notify them of the error or go to <a href="<?php echo ROOTPATH; ?>">Home page</a></p>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
