<?php
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */
 
/* SESSION */
session_start();

/* GENERAL NAME (directory and file) */
// $dir_basename = basename(dirname(__FILE__));
isset($_GET['url']) ? $file_basename = basename(str_replace('/', ',', $_GET['url']), '.html') : $file_basename = 'index'; // Default index

/* MAIN PATH and other defined values */
define('DS', DIRECTORY_SEPARATOR);
define('BASEPATH', str_replace('public'.DS, '', realpath(dirname(__FILE__)).DS));
define('FILE_BASENAME', $file_basename);

### ERROR HANDLING ###  
error_reporting(E_ALL | E_STRICT);
set_error_handler('errorHandler');

@date_default_timezone_set('Europe/Warsaw'); // Info: Not every server needed!

/* Handler for logging errors */
function errorHandler($errLevel, $errMessage, $errFile, $errLine) {
 $date = date('Y-m-d H:i:s');
 $file = date('Ymd').'_'.FILE_BASENAME.'.log';
 $path = BASEPATH.'log'.DS.$file;
 
 $errorHandler = "DATE: $date\r\n FILE: $errFile\r\n LINE: $errLine / LEVEL: $errLevel / MESSAGE: $errMessage\r\n";
 
 $handle = fopen($path, 'a');
 fwrite($handle, $errorHandler);
 fclose($handle);
}

### START DbM Framework ###
require(BASEPATH.'config'.DS.'config.php');
include(BASEPATH.'system'.DS.'init.php');
?>
