<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

class routClass {
	// Default contorller, method, params
    public $controller = "indexController";
    public $method     = "index";
    public $params     = [];
	
	public function __construct() {
		$path = BASEPATH.'application'.DS.'controllers'.DS;
		$url = $this->parseUrl();
		
		if (!empty($url)) {
			$cname = 'Controller'; // The static part of the controller name
			
			if(file_exists($path.$url[0].$cname.'.php')){
				$this->controller = $url[0].$cname;
				unset($url[0]);
			}
			else {
				if (APPENV == 'development') {
					echo '<div class="alert-small alert-danger">ERROR: Sorry controller '.$url[0].$cname.'.php not found!</div>';
				}
				else {
					error_reporting(0);
					include(BASEPATH.'errors'.DS.'error404.php');
					exit();
				}
			}
        }
        
        // Include controller
        require_once($path . $this->controller . '.php');
        // Instantiate controller
        $this->controller = new $this->controller;
		
		if (isset($url[1]) && !empty($url[1])) {
			$mname = 'Method'; // The static part of the method name
			$exp = explode('-', $url[1]);
			$mname = $exp[0] . $mname;
			
            if (method_exists($this->controller, $mname)) {
                $this->method = $mname;
                unset($url[1]);
            } else {
				if (APPENV == 'development') {
					echo '<div class="alert-small alert-danger">ERROR: Sorry method '.$url[1].' not found!</div>';
				}
				else {
					error_reporting(0);
					include(BASEPATH.'errors'.DS.'error404.php');
					exit();					
				}
            }
        }
		
		if (isset($url)) {
            $this->params = $url;
        } else {
            $this->params = [];
        }
		
		// Callback with array parameters
		call_user_func_array([$this->controller, $this->method], $this->params);
	}
	
	public function parseUrl() {
        if (isset($_GET['url'])) {
            $url = $_GET['url'];
            $url = rtrim($url);
            $url = filter_var($url, FILTER_SANITIZE_URL);
            $url = explode('/', $url);
            return $url;
        }
    }
	
}
?>