<?php 
/**
 * DbM Framework (PHP MVC Simple CMS)
 * All code copyright Design by Malina
 * DbM: www.dbm.org.pl
 */

/* View Header Menu */
function headerMenu() {	
	$html = '';
	$arrayMenuPages = [];
	$path = '../config/data_menu.php';
	
	// Include menu array
	if (file_exists($path)) { require_once($path); }
	else { return '<div class="alert-small alert-danger">ERROR: File '.$path.' not exists. Not include arrayMenuPages!</div>'; }
	
	$html .= '<ul class="navbar-nav mr-auto">' . PHP_EOL;
	
	foreach ($arrayMenuPages as $key => $node) {
		if (strpos(FILE_BASENAME, $key) !== false) { $active = ' active'; }
		else { $active = ''; }
		
		if (empty($node['children'])) {
			$dropdown = '';
			$dropdown_toggle = '';
			$dropdown_attributes = '';
		}
		else {
			$dropdown = ' dropdown';
			$dropdown_toggle = ' dropdown-toggle';
			$dropdown_id = 'navbarDropdown'.ucfirst($key);
			$dropdown_attributes = ' id="'.$dropdown_id.'" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"';
		}
		
		$html .= '						<li class="nav-item'. $active . $dropdown . '">';
		$html .= '<a href="'.ROOTPATH.$node['link'].'" class="nav-link' . $dropdown_toggle . '"' . $dropdown_attributes . '>' . $node['anchor'] . '</a>';
		
		if (!empty($node['children'])) {
            $html .= PHP_EOL . '							<div class="dropdown-menu" aria-labelledby="'.$dropdown_id.'">'. PHP_EOL;
			
			foreach ($node['children'] as $subkey => $subnode) {
				if (($key != $subkey) && (strpos(str_replace(',', '-', FILE_BASENAME), $subkey) !== false)) { $active = ' active'; }
				else { $active = ''; }
				
				$html .= '								<a class="dropdown-item' . $active . '" href="'.ROOTPATH.$subnode['link'].'">'.$subnode['anchor'].'</a>'. PHP_EOL;
			}
			
			$html .= '							</div>'. PHP_EOL;
			$html .= '						';
        }
		
		$html .= '</li>'. PHP_EOL;
    }
	
	$html .= '					</ul>' . PHP_EOL;
	
	return $html;
}

// Truncate the text or string to the desired length
function cutString($string, $len_string = 300) {
	$string = htmlspecialchars_decode($string, ENT_QUOTES);
	$string = trim(strip_tags($string));
	$string = substr($string, 0, $len_string);
	
	if (strlen($string) > ($len_string - 2)) {
		$flag = 0;
		$len = 0;
		
		for ($j = strlen($string); $j>0; $j--) {
			$len = $j;
			if ($string[$j-1] == ' ') $flag = 1;
			else if ($flag == 1) break;
		}
		
		$string = substr($string, 0, $len) . '...';
	}
	
	return $string;
}

// Replace page header to SEO friendly link
function seoUrl($string, $key, $value, $limit = 120, $separator = '-') {
	$string = iconv('UTF-8', 'ASCII//TRANSLIT//IGNORE', $string);
	$string = str_replace('-', '', $string);
	$string = strip_tags($string);
	$string = preg_replace('/[^a-zA-Z0-9 -]/', '', $string);
	$string = strtolower($string);
	$string = substr($string, 0, $limit);
	$string = trim($string);
	$string = preg_replace('/\s+/', $separator, $string);
	
	$url = $string.','.$key.','.$value.'.html';
	
	return $url;
}

// Output/read HTML from database (function related to inputContent() in frameworkClass.php)
function outputHtml($data, $sign = '') {
 $data = htmlspecialchars_decode($data, ENT_QUOTES);
 //$data = wordwrap($data, 50, ' ', true);
 $data = str_replace('[[URL]]', ROOTPATH, $data);
 $data = trim(str_replace(PHP_EOL, PHP_EOL . $sign, $data)) . PHP_EOL;
 return $data;
}

?>
